Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class Filter

    java.lang.Object
      org.apache.cassandra.utils.Filter

Direct Known Subclasses:
  BloomFilter, LegacyBloomFilter

    public abstract class Filter

extends java.lang.Object

Constructor Summary
`Filter()`

Method Summary
`abstract void` | `add(java.nio.ByteBuffer key)`
`abstract boolean` | `isPresent(java.nio.ByteBuffer key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### add

    public abstract void add(java.nio.ByteBuffer key)

### isPresent

    public abstract boolean isPresent(java.nio.ByteBuffer key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation